Subject: Re: bug#57152: 29.0.50; Emacs executable isn't rebuilt when loaddefs.el is modified

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 18 Aug 2022 14:46:55 +0200

Gerd Möllmann <[email-masked]> writes:

>> I'm not quite sure where the second "make -C" would go, though.
>
> I did it this way:

[...]

> +all: ${SUBDIR} info $(gsettings_SCHEMAS:.xml=.valid) src-depending-on-lisp

Ah, right.  I've now done some testing with your patch, and it fixes the
problem (without introducing any new extra src/emacs builds in a
bootstrap or otherwise).  So I just went ahead and pushed it.  :-)

> There is one pretty strange thing though, which I can't explain.  I once
> got an error "trying to load incoherent eln" which is mentioned in
> bug#45103.  I can't say much else about this though, not even what the
> cause of this might be.  It was a build with -j8 if that matters.  Maybe
> elns are modified during dumping, so that a second dump cannot be done?
> But that wouldn't explain why it succeeds most of the time.  No idea,
> and not easily reproducible, alas.

Yes, I've seen those, too, but very seldom (like -- once a month?), and
I haven't been able to reproduce it.